<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Izg 2018 - 2019, lab 6.: student/bunny.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Izg 2018 - 2019, lab 6.
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_df997ef5cbe81af8266600b381d65502.html">student</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">bunny.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="bunny_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#pragma once</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;</div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#include&lt;stdint.h&gt;</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;</div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#include&lt;<a class="code" href="fwd_8h.html">student/fwd.h</a>&gt;</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;</div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#ifdef __cplusplus</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="keyword">extern</span> <span class="stringliteral">&quot;C&quot;</span> {</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;</div><div class="line"><a name="l00021"></a><span class="lineno"><a class="line" href="structBunnyVertex.html">   21</a></span>&#160;<span class="keyword">struct </span><a class="code" href="structBunnyVertex.html">BunnyVertex</a> {</div><div class="line"><a name="l00022"></a><span class="lineno"><a class="line" href="structBunnyVertex.html#a2d228a475dea955ec6c696ee545ac731">   22</a></span>&#160;    <span class="keywordtype">float</span> <a class="code" href="structBunnyVertex.html#a2d228a475dea955ec6c696ee545ac731">position</a>[3];</div><div class="line"><a name="l00023"></a><span class="lineno"><a class="line" href="structBunnyVertex.html#aa7f67904a835c896f368dd2e37cc46db">   23</a></span>&#160;    <span class="keywordtype">float</span> <a class="code" href="structBunnyVertex.html#aa7f67904a835c896f368dd2e37cc46db">normal</a>[3];</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;};</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;</div><div class="line"><a name="l00026"></a><span class="lineno"><a class="line" href="bunny_8h.html#a1df103861500f3043483d389ea2a7458">   26</a></span>&#160;<span class="keyword">typedef</span> <span class="keyword">struct </span><a class="code" href="structBunnyVertex.html">BunnyVertex</a> <a class="code" href="structBunnyVertex.html">BunnyVertex</a>;</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="keyword">extern</span> <span class="keyword">struct </span><a class="code" href="structBunnyVertex.html">BunnyVertex</a> const <a class="code" href="bunny_8h.html#abc25b346278a6be207f52c8ca1d5f8eb">bunnyVertices</a>[1048];</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="keyword">extern</span> <span class="keyword">const</span> <a class="code" href="fwd_8h.html#ae2957b322725cd461a6a7827bb0fcc55">VertexIndex</a> <a class="code" href="bunny_8h.html#a97d66246b26a9f14f0b8f854257318f9">bunnyIndices</a>[2092][3];</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="preprocessor">#ifdef __cplusplus</span></div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;}</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="preprocessor">#endif</span></div><div class="ttc" id="bunny_8h_html_a97d66246b26a9f14f0b8f854257318f9"><div class="ttname"><a href="bunny_8h.html#a97d66246b26a9f14f0b8f854257318f9">bunnyIndices</a></div><div class="ttdeci">const VertexIndex bunnyIndices[2092][3]</div><div class="ttdoc">This variable contains Standford bunny indices.</div><div class="ttdef"><b>Definition:</b> bunny.c:1061</div></div>
<div class="ttc" id="structBunnyVertex_html"><div class="ttname"><a href="structBunnyVertex.html">BunnyVertex</a></div><div class="ttdoc">This structure represents vertex that contains only position and normal.</div><div class="ttdef"><b>Definition:</b> bunny.h:21</div></div>
<div class="ttc" id="fwd_8h_html"><div class="ttname"><a href="fwd_8h.html">fwd.h</a></div><div class="ttdoc">This file contains forward declarations and constants.</div></div>
<div class="ttc" id="structBunnyVertex_html_aa7f67904a835c896f368dd2e37cc46db"><div class="ttname"><a href="structBunnyVertex.html#aa7f67904a835c896f368dd2e37cc46db">BunnyVertex::normal</a></div><div class="ttdeci">float normal[3]</div><div class="ttdoc">normal of vertex</div><div class="ttdef"><b>Definition:</b> bunny.h:23</div></div>
<div class="ttc" id="fwd_8h_html_ae2957b322725cd461a6a7827bb0fcc55"><div class="ttname"><a href="fwd_8h.html#ae2957b322725cd461a6a7827bb0fcc55">VertexIndex</a></div><div class="ttdeci">uint32_t VertexIndex</div><div class="ttdoc">Instance of this type contains index to vertex.</div><div class="ttdef"><b>Definition:</b> fwd.h:33</div></div>
<div class="ttc" id="bunny_8h_html_abc25b346278a6be207f52c8ca1d5f8eb"><div class="ttname"><a href="bunny_8h.html#abc25b346278a6be207f52c8ca1d5f8eb">bunnyVertices</a></div><div class="ttdeci">struct BunnyVertex const bunnyVertices[1048]</div><div class="ttdoc">This variable contains vertices of Standford bunny.</div><div class="ttdef"><b>Definition:</b> bunny.c:10</div></div>
<div class="ttc" id="structBunnyVertex_html_a2d228a475dea955ec6c696ee545ac731"><div class="ttname"><a href="structBunnyVertex.html#a2d228a475dea955ec6c696ee545ac731">BunnyVertex::position</a></div><div class="ttdeci">float position[3]</div><div class="ttdoc">position of vertex</div><div class="ttdef"><b>Definition:</b> bunny.h:22</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Thu Apr 18 2019 13:33:48 for Izg 2018 - 2019, lab 6. by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
